> For the complete documentation index, see [llms.txt](https://docs.nomic.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nomic.io/network/listing-in-codebase.md).

# Listing in Codebase

If running a reliable node or relayer, you can help the network by listing them in the network config files so that others can automatically connect.

* Add public RPC URL(s) with port (preferably an HTTPS URL, which may require using a reverse proxy) to `state_sync_rpc`
* Add your Tendermint peer id (found in the `/status` RPC endpoint) and IP with port to `--p2p.seeds` in `tendermint_flags`
* If running a Bitcoin relayer, add the URL (preferably an HTTPS URL, which may require using a reverse proxy) to `btc_relayer`

## Stakenet

For Stakenet please make a GitHub issue or PR to the below file:

{% @github-files/github-code-block url="<https://github.com/nomic-io/nomic/blob/develop/networks/stakenet.toml>" %}

## Testnet

For Stakenet please make a GitHub issue or PR to the below file:

{% @github-files/github-code-block url="<https://github.com/nomic-io/nomic/blob/develop/networks/testnet.toml>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nomic.io/network/listing-in-codebase.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
